Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.actions.naming.strategy
Class GroovyNamingStrategy

    java.lang.Object
      org.jboss.soa.esb.actions.naming.strategy.AbstractFileNamingStrategy
          org.jboss.soa.esb.actions.naming.strategy.GroovyNamingStrategy

All Implemented Interfaces:
  FileNamingStrategy

    public class GroovyNamingStrategy

extends AbstractFileNamingStrategy

Naming strategy that executes a Groovy script to manipulate a filename.

Author:
  Derek Adams

Field Summary
`static java.lang.String` | `ATTR_SCRIPT_PATH` XML attribute that holds the script pathx
`static java.lang.String` | `DEFAULT_SCRIPT_PATH` Default path for the groovy script

Constructor Summary
`GroovyNamingStrategy()`

Method Summary
`void` | `configure(org.w3c.dom.Node xml)` Configure the strategy from its XML node.
`java.lang.String` | `getScriptPath()` Get the path to the script.
`java.lang.String` | `process(java.lang.String filename, Message message)` Process the incoming filename and generate an outgoing filename.
`void` | `setScriptPath(java.lang.String scriptPath)` Set the path to the script.

Methods inherited from class org.jboss.soa.esb.actions.naming.strategy.AbstractFileNamingStrategy
`getFilenameWithoutSuffix, getSuffix`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_SCRIPT_PATH

    public static final java.lang.String DEFAULT_SCRIPT_PATH

  Default path for the groovy script

  See Also:
    Constant Field Values

### ATTR_SCRIPT_PATH

    public static final java.lang.String ATTR_SCRIPT_PATH

  XML attribute that holds the script pathx

  See Also:
    Constant Field Values

Constructor Detail

### GroovyNamingStrategy

    public GroovyNamingStrategy()

Method Detail

### configure

    public void configure(org.w3c.dom.Node xml)

  Description copied from interface: `FileNamingStrategy`
  Configure the strategy from its XML node.

### process

    public java.lang.String process(java.lang.String filename,
                                    Message message)

  Description copied from interface: `FileNamingStrategy`
  Process the incoming filename and generate an outgoing filename.

  Specified by:
    `process` in interface `FileNamingStrategy`
  Specified by:
    `process` in class `AbstractFileNamingStrategy`
  Returns:
    String

### setScriptPath

    public void setScriptPath(java.lang.String scriptPath)

  Set the path to the script.

  Parameters:
    `scriptPath` -

### getScriptPath

    public java.lang.String getScriptPath()

  Get the path to the script.

  Returns:
    String

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD